Bug 134612 - monthly, weekly- how about yearly?
monthly, weekly- how about yearly?
Product: Fedora
Classification: Fedora
Component: logrotate (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Peter Vrabec
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-10-04 18:49 EDT by John Stange
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-01 08:38:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
probably-valid patch (2.39 KB, patch)
2004-10-04 18:51 EDT, John Stange
no flags Details | Diff

  None (edit)
Description John Stange 2004-10-04 18:49:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; rv:1.7.3)
Gecko/20040913 Firefox/0.10

Description of problem:
Someone asked me about being able to do New Year rotates with
logrotate (you'd think nobody would care), so I whipped up a patch
that ought to do it.  It looks right and compiles, so I suppose I'll
pass it on to people who might get some actual use out of it. 

Version-Release number of selected component (if applicable):
3.7 (from source rpm)

How reproducible:

Steps to Reproduce:
This is a required field, isn't it?

Additional info:
Comment 1 John Stange 2004-10-04 18:51:37 EDT
Created attachment 104758 [details]
probably-valid patch
Comment 2 Rahul Sundaram 2005-08-13 19:40:28 EDT
Setting up priority to high since patch is included
Comment 3 Peter Vrabec 2005-09-01 08:38:10 EDT
Comment 4 Peter Bieringer 2006-03-31 08:44:27 EST
Can one push this to updates of FC4 and perhaps also to RHEL3/RHEL4 to solve
yum/logwatch year wraparound problem described here:

Note You need to log in before you can comment on or make changes to this bug.